[xmonad] The minimal xmonad.hs has error

Yuliang Wang jadelightking at gmail.com
Sun Jan 10 15:30:14 EST 2010

The "ghc-pkg check" says

There are problems in package xmonad-0.9.1:
  dependency X11- doesn't exist

The following packages are broken, either because they have a problem
listed above, or because they depend on a broken package.

I installed xmonad through pacman in Arch Linux.

On Sun, Jan 10, 2010 at 1:45 AM, Ivan Miljenovic
<ivan.miljenovic at gmail.com>wrote:

> 2010/1/10 Yuliang Wang <jadelightking at gmail.com>:
> > xmonad.hs:1:7:
> >     Could not find module `XMonad':
> >       it is a member of the hidden package `xmonad-0.9'
> >       Use -v to see a list of the files searched for.
> What does "ghc-pkg check" say?
> --
> Ivan Lazar Miljenovic
> Ivan.Miljenovic at gmail.com
> IvanMiljenovic.wordpress.com
> Samuel Goldwyn  - "I don't think anyone should write their
> autobiography until after they're dead." -
> http://www.brainyquote.com/quotes/authors/s/samuel_goldwyn.html

Yuliang Wang
-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://www.haskell.org/pipermail/xmonad/attachments/20100110/dbdd4559/attachment.html

More information about the xmonad mailing list